jQuery 1.10 和 2.0.1 版本发布

jQuery 2.x分支移除了对IE 6/7/8的支持,但jQuery团队表示,仍会长期维护支持老版本IE的jQuery 1.x分支。今天,该团队发布了最新的jQuery 1.10.0版本,同时还发布了jQuery 2.0.1更新。
两个新版本的主要目的是同步1.x和2.x分支的相关特性。下面一起来看下这两个版本有哪些改进的地方:

  • 宽松的HTML解析:在 $(htmlString)标签之前,你可以再次拥有空格和换行。解析从外部获取的HTML资源时,我们强烈建议你使用 $.parseHTML(),在未来,我们或许会对HTML解析做更进一步的改变。
  • 更加模块化:在这两个版本中,移除 .wrap()、.wrapAll()、.wrapInner() 和.unwrap()方法,你可以进行自定义构建。此外,如果你的所有代码都是使用来自jQuery 1.7的.on事件方法,那么还要排除.bind()和 .delegate()两个方法,Google、微软CDN将会对这些自定义构建提供最大的兼容性。
  • No more IE9 focus of death:在网页加载之前,网页里的iframe试图focus某个元素或读取document.activeElement时,会导致一个错误,我们正在解决该问题
  • 2.0.1版本修复了与Cordova 2.3结合使用导致的bug。

对于未升级到jQuery 1.9或2.0的用户可以参考jQuery 1.9升级指南进行更新,此外,如果你想迁移1.9版本之前的代码或得到版本升级方面的帮助,可以下载jQuery 迁移插件
详细说明:jQuery 1.10.0 and 2.0.1 Released
下载地址:http://jquery.com/download/

此条目发表在研发分类目录,贴了标签。将固定链接加入收藏夹。

发表评论